unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeProcs, TeeGalleryPanel, ExtCtrls, TeEngine, Chart, StdCtrls,
  Buttons, TeeEdit, TeeURL, TeeOpenGL, Series, TeeComma, TeeSurfaceTool;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Chart1: TChart;
    TeeOpenGL1: TTeeOpenGL;
    CheckBox1: TCheckBox;
    Button1: TButton;
    ChartEditor1: TChartEditor;
    Series1: TBarSeries;
    TeeCommander1: TTeeCommander;
    CheckBox2: TCheckBox;
    ChartTool1: TSurfaceNearestTool;
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
begin
ChartEditor1.Execute;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
Series1.FillSampleValues(7);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
if CheckBox1.Checked  then TeeOpenGL1.Active := true
                      else TeeOpenGL1.Active := false;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
if CheckBox2.Checked then Series1.Marks.Visible := true
                     else Series1.Marks.Visible := false;
end;
end.
